package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 轮挡厂家管理对象 base_manufacturer
 * 
 * @author wangh
 * @date 2023-12-18
 */
public class BaseManufacturer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long manufacturerId;

    /** 厂家代码 */
    @Excel(name = "厂家代码")
    private String manufacturerCode;

    /** 厂家名称 */
    @Excel(name = "厂家名称")
    private String manufacturerName;

    /** 公司地址 */
    @Excel(name = "公司地址")
    private String address;

    /** 电话号码 */
    @Excel(name = "电话号码")
    private String phoneNumber;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String emileAddr;

    /** 经营性质 */
    @Excel(name = "经营性质")
    private String businessNature;

    /** 是否启用 */
    @Excel(name = "是否启用")
    private String isEnable;

    public void setManufacturerId(Long manufacturerId) 
    {
        this.manufacturerId = manufacturerId;
    }

    public Long getManufacturerId() 
    {
        return manufacturerId;
    }
    public void setManufacturerCode(String manufacturerCode) 
    {
        this.manufacturerCode = manufacturerCode;
    }

    public String getManufacturerCode() 
    {
        return manufacturerCode;
    }
    public void setManufacturerName(String manufacturerName) 
    {
        this.manufacturerName = manufacturerName;
    }

    public String getManufacturerName() 
    {
        return manufacturerName;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setPhoneNumber(String phoneNumber) 
    {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneNumber() 
    {
        return phoneNumber;
    }
    public void setEmileAddr(String emileAddr) 
    {
        this.emileAddr = emileAddr;
    }

    public String getEmileAddr() 
    {
        return emileAddr;
    }
    public void setBusinessNature(String businessNature) 
    {
        this.businessNature = businessNature;
    }

    public String getBusinessNature() 
    {
        return businessNature;
    }
    public void setIsEnable(String isEnable) 
    {
        this.isEnable = isEnable;
    }

    public String getIsEnable() 
    {
        return isEnable;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("manufacturerId", getManufacturerId())
            .append("manufacturerCode", getManufacturerCode())
            .append("manufacturerName", getManufacturerName())
            .append("address", getAddress())
            .append("phoneNumber", getPhoneNumber())
            .append("emileAddr", getEmileAddr())
            .append("businessNature", getBusinessNature())
            .append("isEnable", getIsEnable())
            .append("remark", getRemark())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
